{
  "accUserMode" : 2,
  "caption" : "视图布局模型存储",
  "codeName" : "ViewLayoutModelRepositoryGridViewLayout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryGridViewLayout.json",
  "gridRowActiveMode" : 2,
  "mOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout",
  "name" : "ViewLayoutModelRepositoryGridViewLayout",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/ModelRepository.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    }, {
      "ctrlName" : "grid",
      "name" : "GRID",
      "paramType" : "CTRL"
    }, {
      "ctrlName" : "searchform",
      "name" : "SEARCHFORM",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "mOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "mOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "mOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "mOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "rTMOSFilePath" : "psappviewlogicrefviews/ViewLayoutModelRepositoryEditView",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "视图布局模型存储编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "视图布局模型存储编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository/PSSEARCHFORMS/Default.json",
    "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
    "logicName" : "默认搜索表单",
    "mOSFilePath" : "psmodules/ModelRepository/psdataentities/VIEWLAYOUTMODELREPOSITORY/psdeform_searchforms/Default",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SEARCH;LOAD;SAVE",
      "logicTag" : "searchform",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_searchform",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_viewlayoutmodelrepositoryname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "视图布局模型存储名称(%)",
        "codeName" : "n_viewlayoutmodelrepositoryname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/n_viewlayoutmodelrepositoryname_like",
        "name" : "n_viewlayoutmodelrepositoryname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
          "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_viewlayoutmodelrepositoryname_like"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/n_viewlayoutmodelrepositoryname_like",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewctrls/searchform",
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "7a6e9836dc4e620d32f9d1107af92a28",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
      }
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "主表格",
    "mOSFilePath" : "psmodules/ModelRepository/psdataentities/VIEWLAYOUTMODELREPOSITORY/psdegrids/Main",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "grid",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_grid",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "视图布局模型存储名称",
      "codeName" : "viewlayoutmodelrepositoryname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "viewlayoutmodelrepositoryname",
      "excelCaption" : "视图布局模型存储名称",
      "mOSFilePath" : "psdegridcols/viewlayoutmodelrepositoryname",
      "name" : "viewlayoutmodelrepositoryname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
      },
      "rTMOSFilePath" : "psdegridcols/viewlayoutmodelrepositoryname",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "mOSFilePath" : "psdegridcols/updateman",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "rTMOSFilePath" : "psdegridcols/updateman",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "mOSFilePath" : "psdegridcols/updatedate",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "rTMOSFilePath" : "psdegridcols/updatedate",
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "viewlayoutmodelrepositoryname",
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYNAME",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "视图布局模型存储标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "mOSFilePath" : "psdegridcols/srfkey",
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "VIEWLAYOUTMODELREPOSITORYID",
        "codeName" : "VIEWLAYOUTMODELREPOSITORYId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "rTMOSFilePath" : "psdegridcols/srfkey",
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewctrls/grid",
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "b04ee170c7b0ab4bc0b3d010536822ac",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "GridViewLayouttoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "工具栏模板（默认表格界面）",
    "mOSFilePath" : "psmodules/ModelRepository/psdataentities/VIEWLAYOUTMODELREPOSITORY/psdetoolbars/GridViewLayouttoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TEXT.*.NEW",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto275",
        "name" : "工具栏按钮文本[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto275",
        "refFlag" : true
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TEXT.*.NEW",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto275",
          "name" : "工具栏按钮文本[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto275",
          "refFlag" : true
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "新建",
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto44",
          "name" : "工具栏按钮提示[*.NEW]",
          "rTMOSFilePath" : "pslanguageres/Auto44",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "新建",
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto44",
        "name" : "工具栏按钮提示[*.NEW]",
        "rTMOSFilePath" : "pslanguageres/Auto44",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto253",
        "name" : "工具栏按钮文本[*.EDIT]",
        "rTMOSFilePath" : "pslanguageres/Auto253",
        "refFlag" : true
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem4",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem4"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto253",
          "name" : "工具栏按钮文本[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto253",
          "refFlag" : true
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "编辑",
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto130",
          "name" : "工具栏按钮提示[*.EDIT]",
          "rTMOSFilePath" : "pslanguageres/Auto130",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "编辑",
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto130",
        "name" : "工具栏按钮提示[*.EDIT]",
        "rTMOSFilePath" : "pslanguageres/Auto130",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TEXT.*.COPY",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto83",
        "name" : "工具栏按钮文本[*.COPY]",
        "rTMOSFilePath" : "pslanguageres/Auto83",
        "refFlag" : true
      },
      "caption" : "拷贝",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem6",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem6"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c5@FontAwesome",
        "cssClass" : "fa fa-copy"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TEXT.*.COPY",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto83",
          "name" : "工具栏按钮文本[*.COPY]",
          "rTMOSFilePath" : "pslanguageres/Auto83",
          "refFlag" : true
        },
        "caption" : "拷贝",
        "codeName" : "Copy",
        "fullCodeName" : "Copy",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Copy",
        "name" : "表格界面_拷贝操作",
        "getPSSysImage" : {
          "glyph" : "xf0c5@FontAwesome",
          "cssClass" : "fa fa-copy"
        },
        "predefinedType" : "GRIDVIEW_COPYACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Copy",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "拷贝",
          "lanResTag" : "TBB.TOOLTIP.*.COPY",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto243",
          "name" : "工具栏按钮提示[*.COPY]",
          "rTMOSFilePath" : "pslanguageres/Auto243",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Copy",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "拷贝",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "拷贝",
        "lanResTag" : "TBB.TOOLTIP.*.COPY",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto243",
        "name" : "工具栏按钮提示[*.COPY]",
        "rTMOSFilePath" : "pslanguageres/Auto243",
        "refFlag" : true
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem7",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TEXT.*.REMOVE",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto159",
        "name" : "工具栏按钮文本[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto159",
        "refFlag" : true
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem8",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem8"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto159",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto159",
          "refFlag" : true
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto286",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "rTMOSFilePath" : "pslanguageres/Auto286",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "删除",
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto286",
        "name" : "工具栏按钮提示[*.REMOVE]",
        "rTMOSFilePath" : "pslanguageres/Auto286",
        "refFlag" : true
      },
      "uIActionTarget" : "MULTIKEY",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem9",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "导出",
        "lanResTag" : "TBB.TEXT.*.EXPORT",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto268",
        "name" : "工具栏按钮文本[*.EXPORT]",
        "rTMOSFilePath" : "pslanguageres/Auto268",
        "refFlag" : true
      },
      "caption" : "导出",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem13",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem13"
      },
      "getPSSysImage" : {
        "glyph" : "xf1c3@FontAwesome",
        "cssClass" : "fa fa-file-excel-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "导出",
          "lanResTag" : "TBB.TEXT.*.EXPORT",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto268",
          "name" : "工具栏按钮文本[*.EXPORT]",
          "rTMOSFilePath" : "pslanguageres/Auto268",
          "refFlag" : true
        },
        "caption" : "导出",
        "codeName" : "ExportExcel",
        "fullCodeName" : "ExportExcel",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportExcel",
        "name" : "表格界面_导出操作（Excel）",
        "getPSSysImage" : {
          "glyph" : "xf1c3@FontAwesome",
          "cssClass" : "fa fa-file-excel-o"
        },
        "predefinedType" : "GRIDVIEW_EXPORTACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportExcel",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "导出",
          "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto27",
          "name" : "工具栏按钮提示[*.EXPORT]",
          "rTMOSFilePath" : "pslanguageres/Auto27",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExportExcel",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "导出",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "导出",
        "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto27",
        "name" : "工具栏按钮提示[*.EXPORT]",
        "rTMOSFilePath" : "pslanguageres/Auto27",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem10",
      "spanMode" : false
    }, {
      "caption" : "其它",
      "itemType" : "ITEMS",
      "name" : "tbitem16",
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
          "lanResType" : "MENUITEM.CAPTION",
          "mOSFilePath" : "pslanguageres/Auto231",
          "name" : "菜单项文本[*.EXPORTSRF]",
          "rTMOSFilePath" : "pslanguageres/Auto231",
          "refFlag" : true
        },
        "caption" : "导出数据模型",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem21",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem21"
        },
        "getPSSysImage" : {
          "glyph" : "xf019@FontAwesome",
          "cssClass" : "fa fa-download"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
            "lanResType" : "MENUITEM.CAPTION",
            "mOSFilePath" : "pslanguageres/Auto231",
            "name" : "菜单项文本[*.EXPORTSRF]",
            "rTMOSFilePath" : "pslanguageres/Auto231",
            "refFlag" : true
          },
          "caption" : "导出数据模型",
          "codeName" : "ExportModel",
          "fullCodeName" : "ExportModel",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportModel",
          "name" : "表格界面_导出数据模型",
          "getPSSysImage" : {
            "glyph" : "xf019@FontAwesome",
            "cssClass" : "fa fa-download"
          },
          "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportModel",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "ExportModel",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "导出数据模型",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "数据导入",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "tbitem23",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_tbitem23"
        },
        "getPSSysImage" : {
          "glyph" : "xf093@FontAwesome",
          "cssClass" : "fa fa-upload"
        },
        "getPSUIAction" : {
          "caption" : "数据导入",
          "codeName" : "Import",
          "fullCodeName" : "Import",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Import",
          "name" : "表格界面_数据导入栏",
          "getPSSysImage" : {
            "glyph" : "xf093@FontAwesome",
            "cssClass" : "fa fa-upload"
          },
          "predefinedType" : "GRIDVIEW_IMPORTBAR",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Import",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Import",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "数据导入",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "其它",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem17",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "查找",
        "lanResTag" : "TBB.TEXT.*.FILTER",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto229",
        "name" : "工具栏按钮文本[*.FILTER]",
        "rTMOSFilePath" : "pslanguageres/Auto229",
        "refFlag" : true
      },
      "caption" : "过滤",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem19",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem19"
      },
      "getPSSysImage" : {
        "glyph" : "xf0b0@FontAwesome",
        "cssClass" : "fa fa-filter"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "查找",
          "lanResTag" : "TBB.TEXT.*.FILTER",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto229",
          "name" : "工具栏按钮文本[*.FILTER]",
          "rTMOSFilePath" : "pslanguageres/Auto229",
          "refFlag" : true
        },
        "caption" : "过滤",
        "codeName" : "ToggleFilter",
        "fullCodeName" : "ToggleFilter",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ToggleFilter",
        "name" : "表格界面_搜索栏",
        "getPSSysImage" : {
          "glyph" : "xf0b0@FontAwesome",
          "cssClass" : "fa fa-filter"
        },
        "predefinedType" : "GRIDVIEW_SEARCHBAR",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ToggleFilter",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "查找",
          "lanResTag" : "TBB.TOOLTIP.*.FILTER",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto122",
          "name" : "工具栏按钮提示[*.FILTER]",
          "rTMOSFilePath" : "pslanguageres/Auto122",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "ToggleFilter",
        "uIActionType" : "DEUIACTION",
        "enableToggleMode" : true
      },
      "tooltip" : "过滤",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "查找",
        "lanResTag" : "TBB.TOOLTIP.*.FILTER",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto122",
        "name" : "工具栏按钮提示[*.FILTER]",
        "rTMOSFilePath" : "pslanguageres/Auto122",
        "refFlag" : true
      },
      "enableToggleMode" : true,
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "帮助",
        "lanResTag" : "TBB.TEXT.*.HELP",
        "lanResType" : "TBB.TEXT",
        "mOSFilePath" : "pslanguageres/Auto276",
        "name" : "工具栏按钮文本[*.HELP]",
        "rTMOSFilePath" : "pslanguageres/Auto276",
        "refFlag" : true
      },
      "caption" : "帮助",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem18",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem18"
      },
      "getPSSysImage" : {
        "glyph" : "xf128@FontAwesome",
        "cssClass" : "fa fa-question"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TEXT.*.HELP",
          "lanResType" : "TBB.TEXT",
          "mOSFilePath" : "pslanguageres/Auto276",
          "name" : "工具栏按钮文本[*.HELP]",
          "rTMOSFilePath" : "pslanguageres/Auto276",
          "refFlag" : true
        },
        "caption" : "帮助",
        "codeName" : "Help",
        "fullCodeName" : "Help",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Help",
        "name" : "表格界面_帮助操作",
        "getPSSysImage" : {
          "glyph" : "xf128@FontAwesome",
          "cssClass" : "fa fa-question"
        },
        "predefinedType" : "GRIDVIEW_HELPACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Help",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "帮助",
          "lanResTag" : "TBB.TOOLTIP.*.HELP",
          "lanResType" : "TBB.TOOLTIP",
          "mOSFilePath" : "pslanguageres/Auto259",
          "name" : "工具栏按钮提示[*.HELP]",
          "rTMOSFilePath" : "pslanguageres/Auto259",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Help",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "帮助",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "帮助",
        "lanResTag" : "TBB.TOOLTIP.*.HELP",
        "lanResType" : "TBB.TOOLTIP",
        "mOSFilePath" : "pslanguageres/Auto259",
        "name" : "工具栏按钮提示[*.HELP]",
        "rTMOSFilePath" : "pslanguageres/Auto259",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewctrls/toolbar",
    "xDataControlName" : "grid",
    "modelid" : "b912ff540f5614f63914a38067d84728",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewctrls/searchbar",
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "视图布局模型存储",
    "codeName" : "GridViewLayoutcaptionbar",
    "controlType" : "CAPTIONBAR",
    "mOSFilePath" : "psmodules/ModelRepository/psdataentities/VIEWLAYOUTMODELREPOSITORY/pscaptionbars/GridViewLayoutcaptionbar",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewctrls/captionbar"
  } ],
  "getPSDEViewCodeName" : "GridViewLayout",
  "getPSDEViewId" : "4446682B-B7F2-4622-8A12-82D18FAC7DDA",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "GridViewLayout",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "表格视图布局(预置模型)",
    "mOSFilePath" : "psmodules/ModelRepository/psdataentities/VIEWLAYOUTMODELREPOSITORY/pssysviewlayoutpanels/GridViewLayout",
    "memo" : "表格视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout/psappviewctrls/layoutpanel",
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container6",
      "getPSLayout" : {
        "align" : "space-between",
        "dir" : "row",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container7",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "页面标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "view_pagecaption",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "view_pagecaption",
            "predefinedType" : "VIEW_PAGECAPTION",
            "renderMode" : "HEADING1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "hidden" : false,
          "showCaption" : false
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container3",
        "getPSLayout" : {
          "dir" : "row-reverse",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "工具栏",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "toolbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        }, {
          "caption" : "搜索栏",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true,
          "id" : "663c3dab99740d1417cb4d8d7e47b4e0"
        } ]
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container4",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "搜索表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "searchform",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container5",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "表格",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "grid",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "d7c15227abc2b1d2198b5b99cb78b41d",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/ViewLayoutModelRepositoryGridViewLayout",
  "title" : "视图布局模型存储表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "d121b9e50af9a581d9c29df33c2b75e4",
  "modeltype" : "PSAPPDEVIEW"
}